<!DOCTYPE html>
<html>
<head>
  <meta charset="utf-8">
  <title>权限设置</title>
  <meta name="renderer" content="webkit">
  <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
  <meta name="viewport" content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0, user-scalable=0">
  <link rel="stylesheet" href="../../layuiadmin/layui/css/layui.css" media="all">
  <link rel="stylesheet" href="../../layuiadmin/style/admin.css" media="all">
</head>
<body>

  <div class="layui-fluid">
    <div class="layui-card">
        <div class="layui-card-body" pad15>
        <div class="layui-row layui-col-space15">
          <div class="layui-col-md12">

            <div class="LAY-btns" style="margin-bottom: 10px;">
              <button class="layui-btn layui-btn-sm" id="btn_add"><i class="layui-icon layui-icon-add-circle"></i>添加</button>
            </div>

            <table class="layui-hide" id="datagrid" lay-filter="datagrid-operate"></table>

            <script type="text/html" id="datagrid-operate-bar">
              <div class="layui-btn-group">
              <a class="layui-btn layui-btn-xs" lay-event="edit" >修改</a>
              </div>
              <div class="layui-btn-group">
              <a class="layui-btn layui-btn-danger layui-btn-xs" lay-event="del">删除</a>
              </div>
            </script>
          </div>
        </div>
        </div>
    </div>
  </div>

  <script src="../../layuiadmin/layui/layui.js?t=1"></script>
  <script>
  layui.config({
    base: '../../../layuiadmin/' //静态资源所在路径
  }).extend({
    index: 'lib/index' //主入口模块
  }).use(['index', 'table'], function(){
    var $ = layui.$;
    var table = layui.table;

    table.render({
      elem: '#datagrid'
      ,url: '/account/permission/'
      ,type:'get'
      ,cols: [[
        {field:'name', title:'名称', width:130}
        ,{field:'employees', title:'人员'}
        ,{width:130, align:'left', fixed: 'right', toolbar: '#datagrid-operate-bar'}
      ]]
      ,page: true
      ,height: 'full-104'
      ,done: function () {
        layui.index.removeNoPermButtons();
      }
    });

    //监听工具条
    table.on('tool(datagrid-operate)', function(obj){
      var data = obj.data;
        if(obj.event === 'edit'){
        table.editdata = data;

        layer.open({
          type: 2,
          title: '修改',
          shadeClose: false,
          area: ['90%', '90%'],
          btn: ['保存', '取消'],
          yes: function(index, dom){
             layui.onSubmitChild = function (data) {
              layer.close(index);
              table.reload('datagrid',{});
            };
            layui.submitChild();
          },
          btn2: function(index, layero){
            layer.close(index);//关闭当前按钮
          },
          content: 'edit.html?id='+data.id
        });
      }else if(obj.event === 'del') {
            layer.confirm('确定要删除吗？', function (index) {
              layer.close(index);
                layui.admin.req({
                    url: '/account/permission/'+data.id+'/'
                    ,type: 'delete'
                    , done: function (res) {
                        table.reload('datagrid', {});
                    }
                });
            });
        }
    });

    $('#btn_add').on('click', function () {
      layer.open({
        type: 2,
        title: '添加',
        shadeClose: false,
        area: ['90%', '90%'],
        btn: ['保存', '取消'],
        yes: function (index, dom) {
          layui.onSubmitChild = function (data) {
            layer.close(index);
            table.reload('datagrid', {});
          };
          layui.submitChild();
        },
        btn2: function (index, layero) {
          layer.close(index);//关闭当前按钮
        },
        content: 'edit.html'
      });
    });
  });
  </script>
</body>
</html>

